# encoding: UTF-8

Encoding.default_internal = Encoding.default_external = 'UTF-8'

require 'pp'

require 'rubygems'

require 'subledger'

require 'celluloid/autostart'

Celluloid.logger = Subledger::LOG

require 'subledger/server'

require 'minitest/autorun'
require 'minitest/mock'
require 'minitest/pride' unless Subledger::ENV == 'ci'

require 'rack/test'

require Subledger::ROOT_SPEC + '/support/minitest'
require Subledger::ROOT_SPEC + '/support/factory'

module Subledger
  def self.scenarios
    [
      { :before    => ['l', 'k'] },
      { :ending    => ['m', 'l'] },
      { :starting  => ['m', 'n'] },
      { :after     => ['n', 'o'] },
      { :preceding => ['l', 'k'] },
      { :following => ['n', 'o'] }
    ]
  end

  def self.scenarios_order
    [
      { :before    => ['l', 'k'] },
      { :ending    => ['m', 'l'] },
      { :starting  => ['m', 'n'] },
      { :after     => ['n', 'o'] }
    ]
  end

  def self.scenarios_id
    [
      { :preceding => ['l', 'k'] },
      { :following => ['n', 'o'] }
    ]
  end
end

# Factory namespace setup

ActiveBook           = Subledger::Domain::ActiveBook
ArchivedBook         = Subledger::Domain::ArchivedBook
ActiveJournalEntry   = Subledger::Domain::ActiveJournalEntry
PostingJournalEntry  = Subledger::Domain::PostingJournalEntry
PostedJournalEntry   = Subledger::Domain::PostedJournalEntry
ArchivedJournalEntry = Subledger::Domain::PostingJournalEntry
ActiveAccount        = Subledger::Domain::ActiveAccount
ArchivedAccount      = Subledger::Domain::ArchivedAccount
ActiveLine           = Subledger::Domain::ActiveLine
Debit                = Subledger::Domain::Debit
Credit               = Subledger::Domain::Credit
Zero                 = Subledger::Domain::Zero

module Kernel
  private

  def this_method
    caller[0] =~ /`([^']*)'/ and $1
  end

  def calling_method
    caller[1] =~ /`([^']*)'/ and $1
  end
end

Celluloid.logger = Subledger::LOG

Minitest.autorun
