# -*- encoding: utf-8 -*-

require File.expand_path('../lib/subledger/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = [ 'Loren Hale', 'Tom Mornini' ]
  gem.email         = 'admin@subledger.com'
  gem.description   = 'Subledger client gem'
  gem.summary       = 'Ruby client gem for accessing the Subledger API'
  gem.homepage      = 'http://subledger.com'

  gem.license       = 'BSD 3-Clause'

  gem.files = [ ]

  gem.files <<         [ '.gitignore',
                         'LICENSE.txt',
                         'subledger.gemspec',
                         'Rakefile',
                         'README.md' ]

  gem.bindir        = 'bin'
  gem.executables   = 'subledger'

  gem.files <<         [ 'lib/subledger.rb' ]

  gem.files << Dir.glob( 'lib/subledger/*.rb' )

  gem.files << Dir.glob( 'lib/subledger/domain/**/*.rb' )

  gem.files << Dir.glob( 'lib/subledger/interface/**/*.rb' )

  gem.files <<           'lib/subledger/store/api.rb'
  gem.files << Dir.glob( 'lib/subledger/store/api/**/*.rb' )

  gem.files << Dir.glob( 'spec/*.rb' )

  gem.files << Dir.glob( 'spec/domain/**/*.rb' )
  gem.files << Dir.glob( 'spec/interface/**/*.rb' )
  gem.files << Dir.glob( 'spec/store/**/*.rb' )

  gem.test_files    = gem.files.grep /spec[.]rb/

  gem.name          = 'subledger'
  gem.version       = Subledger::VERSION

  gem.add_runtime_dependency 'activesupport',      '~> 4.1'
  gem.add_runtime_dependency 'faraday_middleware', '~> 0.9'
  gem.add_runtime_dependency 'multi_json',         '~> 1.10'
  gem.add_runtime_dependency 'grape-entity',       '~> 0.4'
  gem.add_runtime_dependency 'bcrypt',             '~> 3.1'
  gem.add_runtime_dependency 'valid_email',        '~> 0.0'
end
